%global git_date  20241207
%global git_hash  e959f1d2
%global git_ver  0.11.0

%global rel  4
%global src_name %{alt_name}-%{git_date}-%{git_hash}.tar.xz
%global alt_name  Waybar

Name:       waybar
Version:   %{git_ver}^%{git_date}g%{git_hash}
Release:   %{rel}%{?dist}
Summary:    Highly customizable Wayland bar for Sway and Wlroots based compositors.

License:    MIT
URL:        https://github.com/Alexays/Waybar

Source0:	%{url}/%{src_name}
#Patch0:		wireplumber-version.patch


BuildRequires:  make cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  scdoc
BuildRequires:  systemd-rpm-macros

BuildRequires:  pkgconfig(date)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gtk-layer-shell-0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libnl-genl-3.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(spdlog) >= 1.8.0
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(jack)
#BuildRequires:  wireplumber-devel
BuildRequires:  pkgconfig(playerctl)
BuildRequires:  python3-packaging

Enhances:       sway
Recommends:     (font(fontawesome5free))


%description
Highly customizable Wayland bar for Sway and wlroots based compositors.

Current features:
    Sway (Workspaces, Binding mode, Focused window name)
    Tray #21
    Local time
    Battery
    Network
    Bluetooth
    Pulseaudio
    Disk
    Memory
    Cpu load average
    Temperature
    MPD
    Custom scripts
    Multiple output configuration
    And much more customizations

%prep
%autosetup -n %{alt_name} -p1

%build
# FIXME: disable user service until a proper way to start it has been decided
# see rhbz#1798811 for more context
#
# -Drfkill=disabled for rfkill fix
%meson \
    -Dexperimental=true \
    -Dsndio=disabled \
    -Dsystemd=disabled \
    -Dtests=disabled \
    -Dwireplumber=disabled \
    -Dpipewire=disabled \
    -Dcava=disabled

%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/config.jsonc
%config(noreplace) %{_sysconfdir}/xdg/%{name}/style.css
%{_bindir}/%{name}
%{_mandir}/man5/%{name}*

%changelog
%autochangelog
